goalUseWater.mSteps = 
{
	{ action = "click", object = objectIoRadiatorOpen, selection = objectHoTinCanFilled },
	{ action = "click", object = objectHoRadiatorCap },
	{ action = "click", object = objectIoRadiatorOpen, selection = objectHoRadiatorCap },
}
-- ----------------------------------------------------------------------------
function goalUseWater:shouldStart()

	return objectHoTinCanFilled:isFound()

end
-- ----------------------------------------------------------------------------
function goalUseWater:onAnimationFinish(animationName)

	if (animationName == "PlaceCap_blocking") then
		self:achieved()
		
	end
	
end
-- ----------------------------------------------------------------------------
function goalUseWater:onFinished()

	-- Check for additional scare moments:
	if (not goalChangeTire.showFirstSpecialScare) then
		-- Tire is fixed, but radiator is not. Show first scare moment:
		if (layoutLakeside.showShadowScare == false) then
			layoutLakeside.showShadowScare = true
			layoutWoods1.showShadowScare = true
		end
		goalChangeTire.showFirstSpecialScare = true
		layoutWoods1Engine:hide()
	
	else
		-- Tire is fixed and radiator as well. Show second scare moment:
		goalChangeTire:showSecondSpecialScare()
	
	end
	
	layoutWoods1Engine.mEffectRadiatorSmoke:stop()
	layoutWoods1.mEffectRadiatorSmoke:stop()

end